{% extends 'bookings/booking/booking_detail.html' %}
{% load i18n %}
{% load crispy_forms_filters %}
{% load static %}

{% block title %}
    {% translate 'Créer une réservation' as title %}
    {{ title|capfirst }}
{% endblock title %}

{% block javascript %}
    {{ block.super }}
    <script defer src="{% static 'bookings/booking_edit.js' %}"></script>
    <script defer src="{% static 'bookings/api_va.js' %}"></script>
{% endblock javascript %}

{% block error %}
    <div class="alert alert-danger fade show" role="alert" id="va-error-block" style="display: none;">
        <span id="va-error-message"></span>
    </div>
{% endblock error %}

{% block information %}
    <div class="card-header">
        <a href="{% url 'bookings:home' %}"
           class="btn btn-sm btn-warning pull-end">
            <span class="fa-solid fa-xmark"></span> {% translate 'Annuler' %}
        </a>
        <h3 class="card-title">
            <span class="fa-solid fa-rectangle-list"></span> {% translate 'Informations' %}
        </h3>
    </div>
    <div class="card-body">
        <form action="javascript:void(0);" id="va_form">
            <div class="form-group">
                <label class="form-label" for="va_card_input">Carte VA</label>
                <div class="input-group">
                    <input type="text" class="form-control" id="va_card_input" autofocus>
                    <span class="input-group-text px-0 py-0">
                        <button class="btn btn-success" id="va_button" type="submit">Remplissage Auto</button>
                    </span>
                </div>
            </div>
        </form>
        <form action="{% url 'bookings:booking-new' %}?start={{ start.isoformat }}&end={{ end.isoformat }}&resource={{ resource_id }}"
              method="post">
            {{ form.media }}
            {% csrf_token %}
            {{ form|crispy }}
            <div class="btn-group pull-end">
                <button type="submit" class="btn btn-success">
                    <span class="fa-solid fa-floppy-disk"></span> Enregistrer
                </button>
            </div>
        </form>
    </div>
{% endblock information %}

{% block occurrences %}
{% endblock occurrences %}
